
Foreman - Bug #13726

pending puppet certificates can't be removed

02/16/2016 03:51 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Smart Proxy   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link: 1201408 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3197

  

Description

currently the UI allows to "revoke" a pending certificate - which makes no sense.

pending certs should only be signed or deleted.

also, clicking on revoke does not delete the certificate request.

(see attachment)

Related issues:

Related to Foreman - Feature #12720: As a User I would like to get puppet rel... Closed 12/07/2015

Associated revisions

Revision 21f39c12 - 02/17/2016 08:47 AM - Shlomi Zadok

Fixes #13726 - rename delete button on pending certs

History

#1 - 02/16/2016 06:42 AM - Ohad Levy

- Related to Feature #12720: As a User I would like to get puppet related data of the smart proxy added

#2 - 02/16/2016 08:01 AM - Anonymous

I guess this is a duplicate of #3995?

#3 - 02/16/2016 08:05 AM - Ohad Levy

probably, but I would address the fix differently, as simply not showing that option in the drop down until the bug is fixed in puppet itself.

#4 - 02/17/2016 06:44 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Shlomi Zadok

- Pull request https://github.com/theforeman/foreman/pull/3197 added

#5 - 02/17/2016 09:01 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 21f39c1258e00341186137ee941ea858b91a9db7.

#6 - 02/17/2016 09:37 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#7 - 02/23/2016 01:58 PM - Bryan Kearney
https://projects.theforeman.org/issues/3995
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/21f39c1258e00341186137ee941ea858b91a9db7


- Bugzilla link set to 1201408
